/**** dotables.do: Analysis File for Dynamic Inconistency in Food Choice  ****/
/**** Sadoff et al. (2019) ***/
/*** This file generates and logs all tables and relevant statistics for the paper and is called by doanalysis.do ***/





log on
/* Introduction Statistics */
tab inconsistentnocommit evercommit if obsnum == 1 & attrit == 0
log off

/**** BEGIN  TABLES ********/



/*** BEGIN TABLE 2 ******/
/*** Three Panel Table on Nature of Inconsistencies */
/* Panel A: Chicago */
xi: reg bundlehealthy i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21) , clu(id)
est store col1
xi: reg bundlesweetsnack i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21) , clu(id)
est store col2
xi: reg bundlesaltysnack i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21), clu(id)
est store col3
xi: reg bundlecal i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21), clu(id)
est store col4
xi: reg bundlefat i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21), clu(id)
est store col5
xi: reg bundlecarb i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21), clu(id)
est store col6
xi: reg bundleprotein i.immediate   i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 1 & (obsnum == 1 |obsnum == 21), clu(id)
est store col7

log on
/* Table 2 Panel A: Chicago */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/* Panel B: LA */
xi: reg bundlehealthy i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) , clu(id)
est store col1
xi: reg bundlesweetsnack i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col2
xi: reg bundlesaltysnack i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) , clu(id)
est store col3
xi: reg bundlecal i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago ==0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col4
xi: reg bundlefat i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col5
xi: reg bundlecarb i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col6
xi: reg bundleprotein i.immediate   i.chicago i.round  if commitavail == 0 & attrit == 0 & chicago == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col7

log on 
/* Table 2 Panel B: Los Angeles */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off



/* Panel C: Pooled */
xi: reg bundlehealthy i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0  & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col1
xi: reg bundlesweetsnack i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col2
xi: reg bundlesaltysnack i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col3
xi: reg bundlecal i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) , clu(id)
est store col4
xi: reg bundlefat i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col5
xi: reg bundlecarb i.immediate i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col6
xi: reg bundleprotein i.immediate   i.chicago i.round  if commitavail == 0 & attrit == 0& (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) , clu(id)
est store col7

log on 
/* Table 2 Panel C: Pooled */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off
/*** END TABLE 2 ******/


/**** BEGIN TABLE 3 ****/

/********* COMMITMENT ANALYSIS ****************/
/* Commitment Demand and Prior Behavior */
/* Chicago */
xi: reg bundlehealthy i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0  & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1, clu(id)
est store col1
xi: reg bundlesweetsnack i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1, clu(id)
est store col2
xi: reg bundlesaltysnack i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1, clu(id)
est store col3
xi: reg bundlecal i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1, clu(id)
est store col4
xi: reg bundlefat i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1, clu(id)
est store col5
xi: reg bundlecarb i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1, clu(id)
est store col6
xi: reg bundleprotein i.immediate*i.evercommit   i.chicago i.round  if commitavail == 0 & attrit == 0& (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 1 , clu(id)
est store col7

log on 
/* Table 3 Panel A: Chicago */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/* Los Angeles */
xi: reg bundlehealthy i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0  & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0, clu(id)
est store col1
xi: reg bundlesweetsnack i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0, clu(id)
est store col2
xi: reg bundlesaltysnack i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0, clu(id)
est store col3
xi: reg bundlecal i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0, clu(id)
est store col4
xi: reg bundlefat i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0, clu(id)
est store col5
xi: reg bundlecarb i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0, clu(id)
est store col6
xi: reg bundleprotein i.immediate*i.evercommit   i.chicago i.round  if commitavail == 0 & attrit == 0& (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) & chicago == 0 , clu(id)
est store col7

log on 
/* Table 3 Panel B: LA */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/* Pooled */

xi: reg bundlehealthy i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0  & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col1
xi: reg bundlesweetsnack i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col2
xi: reg bundlesaltysnack i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col3
xi: reg bundlecal i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) , clu(id)
est store col4
xi: reg bundlefat i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col5
xi: reg bundlecarb i.immediate*i.evercommit i.chicago i.round  if commitavail == 0 & attrit == 0 & (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61), clu(id)
est store col6
xi: reg bundleprotein i.immediate*i.evercommit   i.chicago i.round  if commitavail == 0 & attrit == 0& (obsnum == 1 |obsnum == 21 |obsnum ==41 | obsnum == 61) , clu(id)
est store col7

log on 
/* Table 3 Panel C: Pooled */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/**** END TABLE 3 *****/



/**** BEGIN TABLE 4 ****/
/* Corresponding Structural Estimates for Nutritional Elements and Observable Characteristics */
/* Hypothesis Tests for Stationarity Included  */
capture drop immediate_healthy 
gen immediate_healthy = immediate*healthy
capture drop immediate_perishable
gen immediate_perishable = immediate*perishable
capture drop immediate_fat
gen immediate_fat = immediate*fat
capture drop immediate_carb
gen immediate_carb = immediate*carb
capture drop immediate_protein
gen immediate_protein = immediate*protein

rologit ischosen healthy fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 1 , group(uniqidroundimm) ties(efron) clu(uniqid)
est store col1 
test immediate_healthy =  immediate_fat =  immediate_carb = immediate_protein =0
estadd scalar test = r(chi2)
capture drop goodvaluechi
predict goodvaluechi if commitavail == 0 & attrit == 0 & round == 1 & chicago == 1,  xb


rologit ischosen  perishable healthy fat carb protein immediate_perishable immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 0 , group(uniqidroundimm)  ties(efron) clu(uniqid)
est store col2 
test immediate_perishable = immediate_healthy =  immediate_fat =  immediate_carb = immediate_protein =0
estadd scalar test = r(chi2)
capture drop goodvaluela
predict goodvaluela if commitavail == 0 & attrit == 0 & round == 1 & chicago == 0,  xb


rologit ischosen healthy  fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0  , group(uniqidroundimm) ties(efron) clu(uniqid)
est store col3
test immediate_healthy =  immediate_fat =  immediate_carb = immediate_protein =0
estadd scalar test = r(chi2)


rologit ischosen healthy fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 1 & inconsistent == 1, group(uniqidroundimm) ties(efron) clu(uniqid)
est store col4
test immediate_healthy =  immediate_fat =  immediate_carb = immediate_protein =0
estadd scalar test = r(chi2)

rologit ischosen  perishable healthy fat carb protein immediate_perishable immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 0  & inconsistent == 1, ties(efron) group(uniqidroundimm) clu(uniqid)
est store col5 
test immediate_perishable = immediate_healthy =  immediate_fat =  immediate_carb = immediate_protein =0
estadd scalar test = r(chi2)

rologit ischosen healthy fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & inconsistent == 1 , group(uniqidroundimm) ties(efron) clu(uniqid)
est store col6
test immediate_healthy =  immediate_fat =  immediate_carb = immediate_protein =0
estadd scalar test = r(chi2)

log on
/* TABLE 4 */
estout  col1 col2 col3 col4 col5 col6, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N ll test, label("\# Obs" "LL" "chisquare") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)

/** Additional Values for Model Fit */
table food if chicago ==1 & immediate == 0 & commitavail == 0 , contents(mean goodvaluechi)
table food if chicago ==1 & immediate == 1 & commitavail == 0 , contents(mean goodvaluechi)
table food if chicago ==0 & immediate == 0 & commitavail == 0 , contents(mean goodvaluela)
table food if chicago ==0 & immediate == 1 & commitavail == 0 , contents(mean goodvaluela)

log off

/**** END TABLE 4 ****/


/*** BEGIN TABLE 5 ****/

/*** Panel A: Predicted Effect of Offering Commitment ***/
/* No Policy */
xi: reg bundlehealthy  if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol1
xi: reg bundlesweetsnack if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol2
xi: reg bundlesaltysnack if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol3
xi: reg bundlecal if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol4
xi: reg bundlefat if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol5
xi: reg bundlecarb if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol6
xi: reg bundleprotein if attrit == 0  & (obsnum == 21 | obsnum == 61) & commitavail == 0 & immediate == 1
est store nopol7

/* Offer Commitment */
xi: reg bundlehealthy if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment1
xi: reg bundlesweetsnack if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment2
xi: reg bundlesaltysnack if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment3
xi: reg bundlecal if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment4
xi: reg bundlefat if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment5
xi: reg bundlecarb if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment6
xi: reg bundleprotein if attrit == 0  & (((obsnum == 1 | obsnum == 41) & evercommit == 1)  |   ((obsnum == 21 | obsnum == 61)& evercommit == 0) ) & commitavail == 0
est store commitment7

/* Percentage Difference */
suest nopol1 commitment1 , clu(id)
nlcom (perc: 100*(([commitment1_mean]_cons - [nopol1_mean]_cons)/([commitment1_mean]_cons)) ), post
est store col1

suest nopol2 commitment2 , clu(id)
nlcom (perc: 100*(([commitment2_mean]_cons - [nopol2_mean]_cons)/([commitment2_mean]_cons)) ), post
est store col2

suest nopol3 commitment3 , clu(id)
nlcom (perc: 100*(([commitment3_mean]_cons - [nopol3_mean]_cons)/([commitment3_mean]_cons)) ), post
est store col3

suest nopol4 commitment4 , clu(id)
nlcom (perc: 100*(([commitment4_mean]_cons - [nopol4_mean]_cons)/([commitment4_mean]_cons)) ), post
est store col4

suest nopol5 commitment5 , clu(id)
nlcom (perc: 100*(([commitment5_mean]_cons - [nopol5_mean]_cons)/([commitment5_mean]_cons)) ), post
est store col5

suest nopol6 commitment6 , clu(id)
nlcom (perc: 100*(([commitment6_mean]_cons - [nopol6_mean]_cons)/([commitment6_mean]_cons)) ), post
est store col6

suest nopol7 commitment7, clu(id)
nlcom (perc: 100*(([commitment7_mean]_cons - [nopol7_mean]_cons)/([commitment7_mean]_cons)) ),post 
est store col7

log on
/* Table 5 Panel A:  Offering Commitment (Predicted) */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off



/**** Panel B: Actual Artefactual Effect */
/* Pooled */
xi: reg bundlehealthy i.immediate*i.commitavail i.chicago*i.round if attrit == 0  &!(chicago ==0 & round == 2 & commitavail == 1) &  (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col1
xi: reg bundlesweetsnack i.immediate*i.commitavail  i.chicago*i.round if attrit == 0 &!(chicago ==0 & round == 2 & commitavail == 1)&(obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col2
xi: reg bundlesaltysnack i.immediate*i.commitavail  i.chicago*i.round if attrit == 0 &!(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col3
xi: reg bundlecal i.immediate*i.commitavail  i.chicago*i.round  if   attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) , clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col4
xi: reg bundlefat i.immediate*i.commitavail  i.chicago*i.round if   attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) , clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col5
xi: reg bundlecarb i.immediate*i.commitavail i.chicago*i.round if  attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) , clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col6
xi: reg bundleprotein i.immediate*i.commitavail  i.chicago*i.round  if attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1) & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)
nlcom (perc: 100*(_b[_IimmXcom_1_1]/(_b[_cons] + _b[_Iimmediate_1]))), post
est store col7

log on
/* Table 5 Panel B:  Artefactual Commitment  */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off





/* Panel C: Experimental Sample Los Angeles */
/* Los Angeles Experimental Sample */

xi: reg bundlehealthy i.immediate*i.commitavail  if  immediate == 1 & chicago == 0  &   round == 2 & attrit == 0  & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),  r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col1
xi: reg bundlesweetsnack i.immediate*i.commitavail    if immediate == 1 & chicago == 0 &  round  == 2  &  attrit == 0 &(obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),  r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col2
xi: reg bundlesaltysnack i.immediate*i.commitavail   if immediate == 1 & chicago == 0 &  round ==2  &   attrit == 0 &(obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),   r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col3
xi: reg bundlecal i.immediate*i.commitavail   if   immediate == 1 & chicago == 0 &  round  ==2 &   attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) ,   r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col4
xi: reg bundlefat i.immediate*i.commitavail    if  immediate == 1 & chicago == 0 &  round  ==2 & attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) ,   r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col5
xi: reg bundlecarb i.immediate*i.commitavail   if   immediate == 1 & chicago == 0&  round  ==2 &attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) ,   r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col6
xi: reg bundleprotein i.immediate*i.commitavail   if immediate == 1 &  chicago == 0 &  round  ==2  & attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),    r
nlcom (perc: 100*(_b[_Icommitava_1 ]/(_b[_cons]))), post
est store col7

log on
/* Table 5 Panel C:  Experimental Commitment */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/*** END TABLE 5 ****/



/*** BEGIN TABLE 6 ****/

/***** Alternate Policies ****/


/* Alternate Policy Panel B: Mandated Advance Choice */
/*** Mandated Advance Choice ***/
xi: reg bundlehealthy if attrit == 0  & (obsnum == 1 | obsnum == 41) & commitavail == 0 & immediate == 0
est store mandate1
xi: reg bundlesweetsnack if attrit == 0  & (obsnum == 41 | obsnum == 1) & commitavail == 0 & immediate == 0
est store mandate2
xi: reg bundlesaltysnack if attrit == 0  & (obsnum == 41 | obsnum == 1) & commitavail == 0 & immediate == 0
est store mandate3
xi: reg bundlecal if attrit == 0  & (obsnum == 41 | obsnum == 1) & commitavail == 0 & immediate == 0
est store mandate4
xi: reg bundlefat if attrit == 0  & (obsnum == 41 | obsnum == 1) & commitavail == 0 & immediate == 0
est store mandate5
xi: reg bundlecarb if attrit == 0  & (obsnum == 41 | obsnum == 1) & commitavail == 0 & immediate == 0
est store mandate6
xi: reg bundleprotein if attrit == 0  & (obsnum == 41 | obsnum == 1) & commitavail == 0 & immediate == 0
est store mandate7



/* Percentage Difference */
suest nopol1 mandate1 , clu(id)
nlcom (perc: 100*(([mandate1_mean]_cons - [nopol1_mean]_cons)/([mandate1_mean]_cons)) ), post
est store col1

suest nopol2 mandate2 , clu(id)
nlcom (perc: 100*(([mandate2_mean]_cons - [nopol2_mean]_cons)/([mandate2_mean]_cons)) ), post
est store col2

suest nopol3 mandate3 , clu(id)
nlcom (perc: 100*(([mandate3_mean]_cons - [nopol3_mean]_cons)/([mandate3_mean]_cons)) ), post
est store col3

suest nopol4 mandate4 , clu(id)
nlcom (perc: 100*(([mandate4_mean]_cons - [nopol4_mean]_cons)/([mandate4_mean]_cons)) ), post
est store col4

suest nopol5 mandate5 , clu(id)
nlcom (perc: 100*(([mandate5_mean]_cons - [nopol5_mean]_cons)/([mandate5_mean]_cons)) ), post
est store col5

suest nopol6 mandate6 , clu(id)
nlcom (perc: 100*(([mandate6_mean]_cons - [nopol6_mean]_cons)/([mandate6_mean]_cons)) ), post
est store col6

suest nopol7 mandate7, clu(id)
nlcom (perc: 100*(([mandate7_mean]_cons - [nopol7_mean]_cons)/([mandate7_mean]_cons)) ),post 
est store col7

log on
/* Table 6 Panel B:  Mandated Advance Choice (Predicted) */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/* Panel C: Tailored Mandate */

xi: reg bundlehealthy if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate1
xi: reg bundlesweetsnack if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate2
xi: reg bundlesaltysnack if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate3
xi: reg bundlecal if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate4
xi: reg bundlefat if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate5
xi: reg bundlecarb if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate6
xi: reg bundleprotein if attrit == 0  & (((obsnum == 1 | obsnum == 41) & tailorcommit == 1)  |   ((obsnum == 21 | obsnum == 61)& tailorcommit == 0) ) & commitavail == 0
est store tmandate7

/* Percentage Difference */
suest nopol1 tmandate1 , clu(id)
nlcom (perc: 100*(([tmandate1_mean]_cons - [nopol1_mean]_cons)/([tmandate1_mean]_cons)) ), post
est store col1

suest nopol2 tmandate2 , clu(id)
nlcom (perc: 100*(([tmandate2_mean]_cons - [nopol2_mean]_cons)/([tmandate2_mean]_cons)) ), post
est store col2

suest nopol3 tmandate3 , clu(id)
nlcom (perc: 100*(([tmandate3_mean]_cons - [nopol3_mean]_cons)/([tmandate3_mean]_cons)) ), post
est store col3

suest nopol4 tmandate4 , clu(id)
nlcom (perc: 100*(([tmandate4_mean]_cons - [nopol4_mean]_cons)/([tmandate4_mean]_cons)) ), post
est store col4

suest nopol5 tmandate5 , clu(id)
nlcom (perc: 100*(([tmandate5_mean]_cons - [nopol5_mean]_cons)/([tmandate5_mean]_cons)) ), post
est store col5

suest nopol6 tmandate6 , clu(id)
nlcom (perc: 100*(([tmandate6_mean]_cons - [nopol6_mean]_cons)/([tmandate6_mean]_cons)) ), post
est store col6

suest nopol7 tmandate7, clu(id)
nlcom (perc: 100*(([tmandate7_mean]_cons - [nopol7_mean]_cons)/([tmandate7_mean]_cons)) ),post 
est store col7

log on 
/* Table 6 Panel C:  Tailored Mandate (Predicted) */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off
/*** END TABLE 6 ****/



/*** BEGIN TABLE 7 ****/
/* Want versus Should in LA ***/

capture drop wantshould
gen wantshould = .
replace wantshould = rating if immediate == 1 & round == 1 & chicago == 0
replace wantshould = should if immediate == 0 & round == 1 & chicago == 0 


capture drop temp
gen temp = (wantshould != .) if round == 1 & chicago == 0 
capture drop numwantshould
egen numwantshould = total(temp), by(id)


gen want = 0
replace want = 1 if immediate == 1

gen want_perishable =  want*perishable
gen want_healthy = want*healthy
gen want_fat = want*fat
gen want_carb = want*carb
gen want_protein = want*protein


rologit wantshould healthy   perishable  fat carb protein  want_healthy  want_perishable  want_fat want_carb want_protein   if round == 1 & attrit == 0 & chicago == 0 , group(uniqidroundimm) clu(uniqid)
est store col1
test  want_perishable = want_healthy =  want_fat =  want_carb = want_protein =0
estadd scalar test = r(chi2)



rologit wantshould healthy   perishable  fat carb protein  want_healthy  want_perishable  want_fat want_carb want_protein    if round == 1 & attrit == 0 & chicago == 0  & numwantshould == 40, group(uniqidroundimm) clu(uniqid)
est store col2
test  want_perishable = want_healthy =  want_fat =  want_carb = want_protein =0
estadd scalar test = r(chi2)


rologit wantshould healthy   perishable  fat carb protein  want_healthy  want_perishable  want_fat want_carb want_protein    if round == 1 & attrit == 0 & chicago == 0  & numwantshould == 40 & inconsistentnocommit == 0, group(uniqidroundimm) clu(uniqid)
est store col3
test  want_perishable = want_healthy =  want_fat =  want_carb = want_protein =0
estadd scalar test = r(chi2)

rologit wantshould healthy   perishable  fat carb protein  want_healthy  want_perishable  want_fat want_carb want_protein    if round == 1 & attrit == 0 & chicago == 0  & numwantshould == 40 & inconsistentnocommit != 0 , group(uniqidroundimm) clu(uniqid)
est store col4
test  want_perishable = want_healthy =  want_fat =  want_carb = want_protein =0
estadd scalar test = r(chi2)


rologit wantshould healthy   perishable  fat carb protein  want_healthy  want_perishable  want_fat want_carb want_protein   if round == 1 & attrit == 0 & chicago == 0  & numwantshould == 40 &  evercommit == 0 , group(uniqidroundimm) clu(uniqid)
est store col5
test  want_perishable = want_healthy =  want_fat =  want_carb = want_protein =0
estadd scalar test = r(chi2)

rologit wantshould healthy   perishable  fat carb protein  want_healthy  want_perishable  want_fat want_carb want_protein    if round == 1 & attrit == 0 & chicago == 0  & numwantshould == 40 & evercommit == 1 , group(uniqidroundimm) clu(uniqid)
est store col6
test  want_perishable = want_healthy =  want_fat =  want_carb = want_protein =0
estadd scalar test = r(chi2)


log on
/** Table 7 ***/
estout   col1 col2 col3 col4 col5 col6 , ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N ll test, label("\# Obs" "LL" "chisquare") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off


/*** END TABLE 7 ****/


/*** BEGIN APPENDIX TABLE A.2 ***/
/* Unambiguous Utility Values ***/
rologit ischosen_unambig healthy  fat carb protein if immediate == 1 & commitavail == 0 & attrit == 0 & chicago == 1, group(uniqidround) clu(uniqid)  ties(efron)
est store col1

rologit ischosen_unambig healthy perishable fat carb protein if immediate == 1 & commitavail == 0 & attrit == 0 & chicago == 0, group(uniqidround) clu(uniqid)  ties(efron)
est store col2

rologit ischosen_unambig healthy fat carb protein if immediate == 1 & commitavail == 0 & attrit == 0, group(uniqidround) clu(uniqid)  ties(efron)
est store col3


rologit ischosen_unambig healthy  fat carb protein if immediate == 1 & commitavail == 0 & attrit == 0 & chicago == 1 & inconsistent == 1, group(uniqidround) clu(uniqid)  ties(efron)
est store col4

rologit ischosen_unambig healthy perishable fat carb protein if immediate == 1 & commitavail == 0 & attrit == 0 & chicago == 0 & inconsistent == 1, group(uniqidround) clu(uniqid)  ties(efron)
est store col5


rologit ischosen_unambig healthy  fat carb protein if immediate == 1 & commitavail == 0 & attrit == 0 & inconsistent == 1, group(uniqidround) clu(uniqid)  ties(efron)
est store col6 

log on
/*** Table A2 ***/
estout  col1 col2 col3 col4 col5 col6 , ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N LL , label("\# Obs" "LL") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/*** END APPENDIX TABLE A.2 ***/

/*** BEGIN  APPENDIX TABLE A.3 *****/
/* Commitment Demand And Preferences */

rologit ischosen healthy fat carb protein  immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 1 & evercommit == 0 , group(uniqidroundimm) clu(uniqid) ties(efron)
est store col1 
rologit ischosen healthy fat carb protein  immediate_healthy immediate_fat immediate_carb immediate_protein  c.evercommit#c.(immediate_healthy immediate_fat immediate_carb immediate_protein) c.evercommit#c.(healthy fat carb protein)   if commitavail == 0 & attrit == 0 & chicago == 1 , group(uniqidroundimm) clu(uniqid)
test (healthy + immediate_healthy + c.evercommit#c.healthy + c.evercommit#c.immediate_healthy) = (healthy + immediate_healthy)
test (fat + immediate_fat + c.evercommit#c.fat + c.evercommit#c.immediate_fat) = (fat + immediate_fat), accum
test (carb + immediate_carb + c.evercommit#c.carb + c.evercommit#c.immediate_carb) = (carb + immediate_carb), accum
test (protein + immediate_protein + c.evercommit#c.protein + c.evercommit#c.immediate_protein) = (protein + immediate_protein), accum
estadd scalar test = r(chi2)
test c.evercommit#c.healthy= c.evercommit#c.fat =  c.evercommit#c.carb  = c.evercommit#c.protein = 0
estadd scalar test2 = r(chi2)




rologit ischosen healthy fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 1 & evercommit == 1 , group(uniqidroundimm) clu(uniqid) ties(efron)
est store col2

rologit ischosen  perishable healthy fat carb protein immediate_perishable immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 0 & evercommit == 0  , group(uniqidroundimm) clu(uniqid)
est store col3
rologit ischosen perishable healthy fat carb protein  immediate_perishable immediate_healthy immediate_fat immediate_carb immediate_protein  c.evercommit#c.(immediate_healthy immediate_perishable immediate_fat immediate_carb immediate_protein) c.evercommit#c.(perishable healthy fat carb protein)   if commitavail == 0 & attrit == 0 & chicago == 0, group(uniqidroundimm) clu(uniqid)
test (healthy + immediate_healthy + c.evercommit#c.healthy + c.evercommit#c.immediate_healthy) = (healthy + immediate_healthy)
test (perishable  + immediate_perishable + c.evercommit#c.perishable  + c.evercommit#c.immediate_perishable ) = (perishable  + immediate_perishable ), accum
test (fat + immediate_fat +  c.evercommit#c.fat + c.evercommit#c.immediate_fat) = (fat + immediate_fat), accum
test (carb + immediate_carb +c.evercommit#c.carb + c.evercommit#c.immediate_carb) = (carb + immediate_carb), accum
test (protein + immediate_protein + c.evercommit#c.protein + c.evercommit#c.immediate_protein) = (protein + immediate_protein), accum
estadd scalar test = r(chi2)
test c.evercommit#c.perishable =  c.evercommit#c.healthy= c.evercommit#c.fat =  c.evercommit#c.carb  = c.evercommit#c.protein = 0
estadd scalar test2 = r(chi2)


rologit ischosen  perishable healthy fat carb protein immediate_perishable immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0 & chicago == 0 & evercommit == 1  , ties(efron) group(uniqidroundimm) clu(uniqid)
est store col4

rologit ischosen healthy  fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0  & evercommit == 0 , group(uniqidroundimm) clu(uniqid)
est store col5
rologit ischosen healthy fat carb protein  immediate_healthy immediate_fat immediate_carb immediate_protein  c.evercommit#c.(immediate_healthy immediate_fat immediate_carb immediate_protein) c.evercommit#c.(healthy fat carb protein)   if commitavail == 0 & attrit == 0  , group(uniqidroundimm) clu(uniqid)
test ( healthy + immediate_healthy+ c.evercommit#c.healthy + c.evercommit#c.immediate_healthy) = (healthy + immediate_healthy)
test (fat + immediate_fat + c.evercommit#c.fat + c.evercommit#c.immediate_fat) = (fat + immediate_fat), accum
test (carb + immediate_carb + c.evercommit#c.carb + c.evercommit#c.immediate_carb) = (carb + immediate_carb), accum
test (protein + immediate_protein + c.evercommit#c.protein + c.evercommit#c.immediate_protein) = (protein + immediate_protein), accum
estadd scalar test = r(chi2)
test c.evercommit#c.healthy= c.evercommit#c.fat =  c.evercommit#c.carb  = c.evercommit#c.protein = 0
estadd scalar test2 = r(chi2)


rologit ischosen healthy  fat carb protein immediate_healthy immediate_fat immediate_carb immediate_protein   if commitavail == 0 & attrit == 0  & evercommit == 1 , ties(efron) group(uniqidroundimm) clu(uniqid)
est store col6


log on
/* Table A3 */
estout  col1 col2 col3 col4 col5 col6, ///
cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))  ///
style(tex)  stats(N ll test test2, label("\# Obs" "LL" "chisquareI" "chisquareA") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)


/* Additional Statistics */
tab inconsistent if commitavail == 0 & attrit == 0 & chicago == 1 & obsnum == 1 & evercommit == 0
tab inconsistent if commitavail == 0 & attrit == 0 & chicago == 1 & obsnum == 1 & evercommit == 1
tab inconsistent if commitavail == 0 & attrit == 0 & (obsnum == 1 | obsnum == 41) & chicago == 0 & evercommit == 0
tab inconsistent if commitavail == 0 & attrit == 0 & (obsnum == 1 | obsnum == 41) & chicago == 0 & evercommit == 1
tab  inconsistent if commitavail == 0 & attrit == 0 & (obsnum == 1 | obsnum == 41)& evercommit == 0
tab  inconsistent if commitavail == 0 & attrit == 0 & (obsnum == 1 | obsnum == 41)& evercommit == 1


pwcorr evercommit inconsistent if commitavail == 0 & attrit == 0 & chicago == 1 & obsnum == 1,sig
pwcorr evercommit inconsistent if commitavail == 0 & attrit == 0 & (obsnum == 1 | obsnum == 41) & chicago == 0,sig
pwcorr evercommit inconsistent if commitavail == 0 & attrit == 0 & (obsnum == 1 | obsnum == 41),sig 
log off

/**** END APPENDIX TABLE A.3 ****/


/*** BEGIN APPENDIX TABLE A.4 ***/


/**** Panel A: Actual Artefactual Effect */
/* Pooled */
xi: reg bundlehealthy i.immediate*i.commitavail i.chicago*i.round if attrit == 0  &!(chicago ==0 & round == 2 & commitavail == 1) &  (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)

est store col1
xi: reg bundlesweetsnack i.immediate*i.commitavail  i.chicago*i.round if attrit == 0 &!(chicago ==0 & round == 2 & commitavail == 1)&(obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)

est store col2
xi: reg bundlesaltysnack i.immediate*i.commitavail  i.chicago*i.round if attrit == 0 &!(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)

est store col3
xi: reg bundlecal i.immediate*i.commitavail  i.chicago*i.round  if   attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) , clu(id)

est store col4
xi: reg bundlefat i.immediate*i.commitavail  i.chicago*i.round if   attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) , clu(id)

est store col5
xi: reg bundlecarb i.immediate*i.commitavail i.chicago*i.round if  attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1)& (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) , clu(id)

est store col6
xi: reg bundleprotein i.immediate*i.commitavail  i.chicago*i.round  if attrit == 0 & !(chicago ==0 & round == 2 & commitavail == 1) & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121), clu(id)

est store col7

log on
/* Table A4 Panel A:  Artefactual Commitment  */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off





/* Panel B: Experimental Sample Los Angeles */
/* Los Angeles Experimental Sample */

xi: reg bundlehealthy i.immediate*i.commitavail  if  immediate == 1 & chicago == 0  &   round == 2 & attrit == 0  & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),  r

est store col1
xi: reg bundlesweetsnack i.immediate*i.commitavail    if immediate == 1 & chicago == 0 &  round  == 2  &  attrit == 0 &(obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),  r

est store col2
xi: reg bundlesaltysnack i.immediate*i.commitavail   if immediate == 1 & chicago == 0 &  round ==2  &   attrit == 0 &(obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),   r

est store col3
xi: reg bundlecal i.immediate*i.commitavail   if   immediate == 1 & chicago == 0 &  round  ==2 &   attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) ,   r

est store col4
xi: reg bundlefat i.immediate*i.commitavail    if  immediate == 1 & chicago == 0 &  round  ==2 & attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) ,   r

est store col5
xi: reg bundlecarb i.immediate*i.commitavail   if   immediate == 1 & chicago == 0&  round  ==2 &attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121) ,   r

est store col6
xi: reg bundleprotein i.immediate*i.commitavail   if immediate == 1 &  chicago == 0 &  round  ==2  & attrit == 0 & (obsnum == 1 | obsnum == 21 | obsnum == 41 | obsnum == 61 | obsnum == 81 | obsnum == 101 | obsnum ==121),    r

est store col7

log on
/* Table A4 Panel B:  Experimental Commitment */
estout  col1 col2 col3 col4 col5 col6 col7, ///
cells(b(fmt(%9.1f)) se(par fmt(%9.1f)))  ///
style(tex)  stats(N r2 , label("\# Obs" "R2") fmt( 0 2)) starlevels(* .1 ** .05 *** .01)
log off

/*** END APPENDIX TABLE A4 ***/

/**** BEGIN  TABLES ********/

